#ifndef SHARED_DATA_TYPES_HEADER
#define SHARED_DATA_TYPES_HEADER
#include <exception>
#include <string>

#ifndef IN_SHARED_DATA_TYPES
#define SHARED_DATA_TYPES_IMPEXP __attribute__ ((dllimport))
#else
#define SHARED_DATA_TYPES_IMPEXP __attribute__ ((dllexport))
#endif

class SHARED_DATA_TYPES_IMPEXP modexc : public std::exception {
public:
  modexc (std::string str) : message (str) { }
  ~modexc () throw () { }
  virtual const char *what () const throw ()
  {
    return message.c_str ();
  }
private:
  std::string message;
};

extern "C" int SHARED_DATA_TYPES_IMPEXP shared_data_types_dummy (void);

#endif /* SHARED_DATA_TYPES_HEADER */

